OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepGeom

# StepGeom_VectorOrDirection Class Reference

`#include <StepGeom_VectorOrDirection.hxx>`

Inheritance diagram for StepGeom_VectorOrDirection:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepGeom_VectorOrDirection ()
| Returns a VectorOrDirection SelectType .
Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a VectorOrDirection Kind Entity that is : 1 -> Vector 2 -> Direction 0 else .
Standard_EXPORT Handle_StepGeom_Vector | Vector () const
| returns Value as a Vector (Null if another type)
Standard_EXPORT Handle_StepGeom_Direction | Direction () const
| returns Value as a Direction (Null if another type)

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_VectorOrDirection::StepGeom_VectorOrDirection | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer StepGeom_VectorOrDirection::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

Standard_EXPORT Handle_StepGeom_Direction StepGeom_VectorOrDirection::Direction | ( |  | ) | const

void StepGeom_VectorOrDirection::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepGeom_VectorOrDirection::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepGeom_VectorOrDirection::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

Standard_EXPORT Handle_StepGeom_Vector StepGeom_VectorOrDirection::Vector | ( |  | ) | const

The documentation for this class was generated from the following file:

- StepGeom_VectorOrDirection.hxx